Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
user/productsearch.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $RequireUserLogin = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "true"
| $MaxSearchForProducts = $ini->variable( "eZTradeMain", "MaxSearchForProducts" )
| $SmallImageWidth = $ini->variable( "eZTradeMain", "SmallImageWidth" )
| $SmallImageHeight = $ini->variable( "eZTradeMain", "SmallImageHeight" )
| $PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false
| $user =& eZUser::currentUser()
| $t
| $product = new eZProduct()
if(isset( $URLQueryString)) if(isset( $Query) && $Query) | else
if(isset( $total_count) &&( $MaxSearchForProducts !=0) &&( $MaxSearchForProducts< $total_count)) | $locale = new eZLocale( $Language )
| $i =0

## Variable Documentation

## ◆ $i

$i =0

Definition at line 121 of file user/productsearch.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 33 of file user/productsearch.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 35 of file user/productsearch.php.

## ◆ $locale

if (isset($total_count) &&($MaxSearchForProducts !=0) &&($MaxSearchForProducts< $total_count)) $locale = new eZLocale( $Language )

Definition at line 120 of file user/productsearch.php.

## ◆ $MaxSearchForProducts

$MaxSearchForProducts = $ini->variable( "eZTradeMain", "MaxSearchForProducts" )

Definition at line 38 of file user/productsearch.php.

## ◆ $PricesIncludeVAT

$PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false

Definition at line 41 of file user/productsearch.php.

## ◆ $product

$product = new eZProduct()

Definition at line 87 of file user/productsearch.php.

## ◆ $RequireUserLogin

$RequireUserLogin = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "true"

Definition at line 37 of file user/productsearch.php.

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 36 of file user/productsearch.php.

## ◆ $SmallImageHeight

$SmallImageHeight = $ini->variable( "eZTradeMain", "SmallImageHeight" )

Definition at line 40 of file user/productsearch.php.

## ◆ $SmallImageWidth

$SmallImageWidth = $ini->variable( "eZTradeMain", "SmallImageWidth" )

Definition at line 39 of file user/productsearch.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ) ,
"kernel/eztrade/user/intl/", $Language, "productsearch.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: user/productsearch.php:35
$ini
$ini
Definition: user/productsearch.php:33

Definition at line 53 of file user/productsearch.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 51 of file user/productsearch.php.

## ◆ else

if (isset($URLQueryString)) if (isset($Query) &&$Query) else

Initial value:
{
$total_count = 0
$total_count
$total_count
Definition: browserlist.php:54

Definition at line 105 of file user/productsearch.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.